Package: org.codehaus.groovy.reflection

## [Java] Class CachedField

- org.codehaus.groovy.reflection.CachedField

-     public class CachedField
      extends MetaProperty

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedField (Field field)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Field` | `getCachedField()`
    `` | `public Class` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()`
    `` | `public Object` | `getProperty(Object object)` Returns: the property of the given object
    `` | `public boolean` | `isFinal()`
    `` | `public boolean` | `isStatic()`
    `` | `public void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public CachedField(Field field)

  - ### Method Detail

    - #### public Field getCachedField()

    - #### public Class getDeclaringClass()

    - #### @Override public int getModifiers()

    - #### @Override public Object getProperty(Object object)

      throws:
        RuntimeException if the property could not be evaluated
      Returns:
        the property of the given object

    - #### public boolean isFinal()

    - #### public boolean isStatic()

    - #### @Override public void setProperty(Object object, Object newValue)

      Sets the property on the given object to the new value

      throws:
        RuntimeException if the property could not be set
      Parameters:
        `object` - on which to set the property
        `newValue` - the new value of the property